#container {
    height: 100vh;
}
body {
    margin:0 !important;
}
.container-error{
    background: #f7f7f7;
    font-size: 1.2em;
    display: flex;
    height: 100%;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 10px;
}
.modal-header {
    background-color: #488aff;
    color: white;
    position: fixed;
    width:100%;
    top:0;
    z-index: 999;
}
.modal-header h2,.modal-footer h3 {
    padding-left: 10px;
    margin: 10px auto;
    font-size: 1.3em;
}
.modal-body {
    padding: 2px 17px;
    margin-bottom:70px;
    margin-top:45px;
}
.modal-footer {
    position: fixed;
    background-color: #488aff;
    color: white;
    bottom: 0;
    width:100%;
    text-align: center;
}



.feedback-btn {
        display: flex;
        border: 1px solid #999;
        border-radius:4px;
    
    }
.feedback-btn label {
        flex-grow: 2;
        text-align: center;
        position: relative;
        padding: 0.3em;
        border-right: 1px solid #999;
    }
    .feedback-btn div:last-child {
        border-right: none;
    }
    .feedback { 
        justify-content: flex-end;        
    }
.modal-body p {
    font-weight: bold;
    margin-bottom: 6px;
}
textarea {
    width:100%;
}
input[type="radio"] {
    visibility: hidden;
    position: absolute;
}

.feedback-btn label span {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    text-align: center;
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
}
input[type="radio"]:checked + span {
    background-color: #488aff;
    color:#fff;
}
.text-center {
    text-align: center;
}
.rating-info {
        color:#f00;
    }

.loader {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100vh;
    width:      100vw;
    background: rgba(0,0,0,0.4)            
                url('http://sampsonresume.com/labs/pIkfp.gif') 
                50% 50% 
                no-repeat;
}

.loading {
    overflow: hidden; 
    display: block;  
}
#snackbar {
    display:none ;
    background-color: #333;
    color: #fff; 
    text-align: center; 
    border-radius: 15px; 
    padding: 10px; 
    position: fixed;
    z-index: 9999;
    bottom: 30px;
    left: 10px;
    right: 10px;
}

/* Show the snackbar when clicking on a button (class added with JavaScript) */
#snackbar.show {
    display: block; 
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

/* Animations to fade the snackbar in and out */
@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;} 
    to {bottom: 30px; opacity: 1;}
}

@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;} 
    to {bottom: 0; opacity: 0;}
}

@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}